'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = variableFactory;
function variableFactory(theme) {
  var Core = theme.Core;
  var ComponentCustomStyle = theme.FeedBack;

  /**
   * margin(b)
   * @property namespace size/icon
   */
  var IconBottomMargin = Core.s5;

  /**
   * size
   * @property namespace size/icon
   */

  var IconSize = Core['icon-xl'];

  /**
   * icon
   * @property namespace statement/success
   */
  var IconSuccessColor = Core['color-success-2'];
  /**
   * icon
   * @property namespace statement/error
   */
  var IconErrorColor = Core['color-error-2'];

  /**
   * icon
   * @property namespace statement/warning
   */
  var IconWarningColor = Core['color-warning-2'];

  /**
   * text
   * @property namespace statement/success
   */
  var SuccessColor = Core['color-text1-3'];
  /**
   * text
   * @property namespace statement/error
   */
  var ErrorColor = Core['color-text1-3'];
  /**
   * text
   * @property namespace statement/warning
   */
  var WarningColor = Core['color-text1-3'];

  var Variables = {
    'icon-bottom-margin': IconBottomMargin,
    'icon-size': IconSize,
    'icon-success-color': IconSuccessColor,
    'icon-error-color': IconErrorColor,
    'icon-warning-color': IconWarningColor,
    'success-color': SuccessColor,
    'error-color': ErrorColor,
    'warning-color': WarningColor
  };
  return _extends({}, Variables, ComponentCustomStyle);
}
module.exports = exports['default'];