'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = styleFactory;

var _variable = require('./variable');

var _variable2 = _interopRequireDefault(_variable);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function styleFactory() {
  var theme = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

  var Variables = (0, _variable2.default)(theme);
  var core = theme.Core;
  return {
    Feedback: {
      feedback: {
        alignItems: 'center',
        padding: core.padding('' + Variables['padding-top'], '' + Variables['padding-left-right'], '' + Variables['padding-bottom'], '' + Variables['padding-left-right'])
      },
      icon: {
        marginBottom: Variables['icon-bottom-margin'],
        fontSize: Variables['icon-size']
      },
      content: {
        alignItems: 'center',
        textAlign: 'center'
      },
      'icon-success': {
        color: Variables['icon-success-color']
      },
      'icon-error': {
        color: Variables['icon-error-color']
      },
      'icon-warning': {
        color: Variables['icon-warning-color']
      }
    }
  };
}
module.exports = exports['default'];