import variableFactory from './variable';

export default function styleFactory(theme = {}) {
  const Variables = variableFactory(theme);
  const core = theme.Core;
  return {
    Feedback: {
      feedback: {
        alignItems: 'center',
        padding: core.padding(
          `${Variables['padding-top']}`,
          `${Variables['padding-left-right']}`,
          `${Variables['padding-bottom']}`,
          `${Variables['padding-left-right']}`
        )
      },
      icon: {
        marginBottom: Variables['icon-bottom-margin'],
        fontSize: Variables['icon-size']
      },
      content: {
        alignItems: 'center',
        textAlign: 'center'
      },
      'icon-success': {
        color: Variables['icon-success-color']
      },
      'icon-error': {
        color: Variables['icon-error-color']
      },
      'icon-warning': {
        color: Variables['icon-warning-color']
      }
    }
  };
}
